<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_213"
                    >
                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintTop_toBottomOf="@+id/h2"
                        app:layout_constraintBottom_toBottomOf="parent"
                        android:background="@color/white"/>
                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        android:background="@mipmap/ic_upload"/>


                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/v1"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.88"/>

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/h1"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        app:layout_constraintGuide_percent="0.18"/>
                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/h2"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        app:layout_constraintGuide_percent="0.7"/>

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/v2"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.3"/>
                    <ImageView
                        android:id="@+id/mClose"
                        android:layout_width="@dimen/dp_34"
                        android:layout_height="@dimen/dp_34"
                        app:layout_constraintTop_toBottomOf="@+id/h1"
                        app:layout_constraintLeft_toRightOf="@id/v1"
                        android:src="@mipmap/ic_circle_close" />
                    
                    <TextView
                        android:id="@+id/mVersionName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/sp_12"
                        android:textStyle="bold"
                        android:textColor="@color/col_02c"
                        android:background="@drawable/shape_8round_white"
                        android:text="V1.0.0"
                        android:paddingLeft="@dimen/dp_6"
                        android:paddingRight="@dimen/dp_6"
                        android:paddingTop="@dimen/dp_4"
                        android:paddingBottom="@dimen/dp_4"
                        app:layout_constraintTop_toBottomOf="@+id/h2"
                        app:layout_constraintLeft_toRightOf="@+id/v2"/>
                </androidx.constraintlayout.widget.ConstraintLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:background="@drawable/shape_lb10_rb10_white">

                    <TextView
                        android:id="@+id/mToast"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:layout_marginLeft="@dimen/dp_24"
                        android:text="更新内容"
                        android:textColor="@color/col_4d4"
                        android:textSize="@dimen/sp_15"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/mTvLog"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_25"
                        android:layout_marginRight="@dimen/dp_25"
                        android:layout_marginTop="@dimen/dp_15"
                        android:text=""
                        android:textColor="@color/col_666"
                        android:textSize="@dimen/sp_13"
                        android:visibility="gone" />

                    <ProgressBar
                        android:id="@+id/mProgress"
                        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_20"
                        android:layout_marginTop="@dimen/dp_20"
                        android:layout_marginRight="@dimen/dp_20"
                        android:progress="0"
                        android:progressDrawable="@drawable/progress_bg" />

                    <TextView
                        android:id="@+id/mTvProgress"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="right"
                        android:layout_marginTop="@dimen/dp_20"
                        android:layout_marginRight="@dimen/dp_20"
                        android:text="0/100"
                        android:textColor="@color/col_455" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/dp_20"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/mLoadApk"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/shape_btn_select_bg"
                            android:gravity="center"
                            android:padding="@dimen/dp_10"
                            android:text="@string/update"
                            android:textStyle="bold"
                            android:textSize="@dimen/sp_17"
                            android:textColor="@color/white" />

                        <TextView
                            android:id="@+id/mCancelUpdate"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_5"
                            android:layout_weight="1"
                            android:background="@drawable/shape_btn_select_bg"
                            android:gravity="center"
                            android:padding="@dimen/dp_10"
                            android:text="@string/is_update"
                            android:textSize="@dimen/sp_17"
                            android:textStyle="bold"
                            android:textColor="@color/white"
                            android:visibility="gone" />

                    </LinearLayout>

                </LinearLayout>





            </LinearLayout>

    </LinearLayout>

</androidx.core.widget.NestedScrollView>